> ## Documentation Index
> Fetch the complete documentation index at: https://readme.amana-dev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user watchlists

> Retrieves all watchlists for the authenticated user



## OpenAPI

````yaml /openapi-readme.json get /watchlist
openapi: 3.1.0
info:
  title: Amana API
  version: 1.0.0
  description: API documentation for Amana platform
servers:
  - url: https://gateway.amana.io
    description: Amana app
security: []
tags:
  - name: onboarding
    description: Endpoints related to user onboarding, KYC processes, and account setup.
  - name: auth
    description: Endpoints for user authentication, token management, and session handling.
  - name: trading
    description: >-
      Endpoints related to trading operations, account management, and market
      data retrieval.
  - name: charting
    description: >-
      Endpoints for retrieving historical price data, technical indicators, and
      other charting-related information.
  - name: uaepass
    description: Endpoints for UAE Pass authentication and identity verification.
  - name: alerts
  - name: cms
  - name: dw
  - name: events
  - name: geo-location
  - name: high-leverage
  - name: kyc
  - name: mt
  - name: nafath
  - name: payments
  - name: promo-codes
  - name: smart-money
  - name: support
  - name: symbols
  - name: trading-accounts
  - name: transactions
  - name: user
  - name: watchlists
paths:
  /watchlist:
    get:
      tags:
        - watchlists
      summary: Get current user watchlists
      description: Retrieves all watchlists for the authenticated user
      operationId: getWatchlists
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                    en:
                      type: string
                    ar:
                      type: string
                    logo:
                      type: string
                    items:
                      type: array
                      items:
                        type: object
                        properties:
                          _id:
                            type: string
                          logo:
                            type: string
                          friendlyName:
                            type: string
                          leveraged:
                            type: boolean
                          delayed:
                            type: boolean
                          sharia:
                            type: boolean
                          digits:
                            type: number
                        required:
                          - _id
                          - sharia
                          - logo
                          - friendlyName
                          - leveraged
                          - delayed
                          - digits
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties: true
                required:
                  - error
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token obtained from authentication endpoints

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.